### Method

# Gegl Samplerget

#### Declaration [src]

    void
    gegl_sampler_get (
      GeglSampler* sampler,
      gdouble x,
      gdouble y,
      GeglBufferMatrix2* scale,
      void* output,
      GeglAbyssPolicy repeat_mode
    )

#### Description [src]

Perform a sampling with the provided `sampler`.

#### Parameters

`x`

  Type: `gdouble`

  X coordinate to sample.

`y`

  Type: `gdouble`

  Y coordinate to sample.

`scale`

  Type: `GeglBufferMatrix2`

  Matrix representing extent of sampling area in source buffer.

  The data is owned by the caller of the method.

`output`

  Type: `void*`

  Memory location for output data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`repeat_mode`

  Type: `GeglAbyssPolicy`

  How requests outside the buffer extent are handled. Valid values: GEGL_ABYSS_NONE (abyss pixels are zeroed), GEGL_ABYSS_WHITE (abyss pixels are white), GEGL_ABYSS_BLACK (abyss pixels are black), GEGL_ABYSS_CLAMP (coordinates are clamped to the abyss rectangle), GEGL_ABYSS_LOOP (buffer contents are tiled if outside of the abyss rectangle).